import * as $dara from '@darabonba/typescript';
import { DescribeVpcGrantRulesToEcrResponseBody } from "./DescribeVpcGrantRulesToEcrResponseBody";
export declare class DescribeVpcGrantRulesToEcrResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeVpcGrantRulesToEcrResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
